# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['airflow_bio_utils',
 'airflow_bio_utils.cli',
 'airflow_bio_utils.operators',
 'airflow_bio_utils.sequences']

package_data = \
{'': ['*']}

install_requires = \
['apache-airflow>=2.0.0',
 'biopython>=1.78,<2.0',
 'click>=7.1.2,<8.0.0',
 'pandas>=1.1.5,<2.0.0',
 'tqdm>=4.56.0,<5.0.0']

entry_points = \
{'console_scripts': ['create-random-sequences = '
                     'airflow_bio_utils.cli.create_random_sequences:create_random_sequences_cli',
                     'filter-sequences = '
                     'airflow_bio_utils.cli.filter_sequences:filter_sequences_cli',
                     'merge-sequences = '
                     'airflow_bio_utils.cli.merge_sequences:merge_sequences_cli',
                     'publish = publish:publish']}

setup_kwargs = {
    'name': 'airflow-bio-utils',
    'version': '0.1.0',
    'description': 'Airflow utilities for biological sequences',
    'long_description': '# Generic Python Utilities\n\n![version_badge](https://s3.eu-central-1.amazonaws.com/pypi.covidgenomics.com/__public__/utils/badge_version.svg)\n\n## Installation\n\nTo install this module please do:\n```bash\n   poetry install\n```\n\nTo test the package please run:\n```bash\n    $ make test\n```\n\nRun linter with:\n```bash\n    $ make lint\n```\n\n## Usage\n\nThe package provides useful utilities for IO operations, transformations of biological data and reusable algorithms.\nIt also provides CLI interfaces for useful commands:\n```bash\n    $ poetry run create-random-sequences --help\n    $ poetry run filter-sequences --help\n    $ poetry run merge-sequences --help\n```',
    'author': 'Piotr Styczyński',
    'author_email': 'piotr@styczynski.in',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
